vpx_rc_encodeframe_decision Struct Reference

Encode frame decision made by the external rate control model. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields

int | q_index
int | max_frame_size

## Detailed Description

Encode frame decision made by the external rate control model.

The encoder will receive the decision from the external rate control model through get_encodeframe_decision() defined in vpx_rc_funcs_t.

If q_index = VPX_DEFAULT_Q, the encoder will use libvpx's default q.

If max_frame_size = 0, the encoding ignores max frame size limit. If max_frame_size = -1, the encoding uses VP9's max frame size as the limit. If the encoded frame size is larger than max_frame_size, the frame is recoded to meet the size limit, following VP9's recoding principles.

## Field Documentation

## q_index

int vpx_rc_encodeframe_decision::q_index

Quantizer step index [0..255]

## max_frame_size

int vpx_rc_encodeframe_decision::max_frame_size

Maximal frame size allowed to encode a frame

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h